%global pypi_name threadpoolctl

Name:       python-%{pypi_name}
Version:    3.1.0
Release:    %mkrel 1
Summary:    Thread-pool Controls
License:    BSD
Group:      Development/Python

URL:        https://pypi.org/project/threadpoolctl/
Source0:    %{pypi_source}

BuildArch: noarch

%global _description %{expand:
Python helpers to limit the number of threads used in the 
threadpool-backed of common native libraries used for scientific computing 
and data science (e.g. BLAS and OpenMP).
Fine control of the underlying thread-pool size can be useful in 
workloads that involve nested parallelism so as to mitigate 
oversubscription issues.}     

%description %_description

%package -n python3-%{pypi_name}
Summary: %{summary}
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel 
BuildRequires:  python3dist(flit-core)
# Testing
BuildRequires: python3-pytest
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%_description

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files threadpoolctl

%check
pytest -v

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md multiple_openmp.md
%license LICENSE
%pycached %{python3_sitelib}/threadpoolctl.py



%changelog
* Thu Sep 08 2022 neoclust <neoclust> 3.1.0-1.mga9
+ Revision: 1885716
- New version  3.1.0

* Sat Mar 26 2022 umeabot <umeabot> 2.1.0-4.mga9
+ Revision: 1828547
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 2.1.0-3.mga9
+ Revision: 1782297
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 2.1.0-2.mga9
+ Revision: 1708413
- rebuild for python 3.9

* Thu Mar 18 2021 joequant <joequant> 2.1.0-1.mga9
+ Revision: 1704237
- imported package python-threadpoolctl


* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 2.0.0-3
- Rebuilt for Python 3.9

* Thu May 21 2020 Sergio Pascual <sergiopr@fedoraproject.org> - 2.0.0-2
- Package approved

* Tue May 19 2020 Sergio Pascual <sergiopr@fedoraproject.org> - 2.0.0-1
- Initial spec
